Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
bollingtonblue Posted on 27/08/2018 23:41
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message
 
Former Macc Town players still plying their trade with clubs down the football pyramid include:
John McCombe with Hyde Utd at Level 7 and
Emile Sinclair with Athersley Recreation FC in Barnsley at Level 9.
Where are some others? 🤔
IP: Logged
lymeview Posted on 28/08/2018 08:23
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Mendy, Kissock, Braham-Barrett and Thierry Audel all at Welling.
IP: Logged
macchiavelli Posted on 28/08/2018 09:05
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Cowan and Turnbull at Stockport.
IP: Logged
Ron_Ipstone Posted on 28/08/2018 09:27
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
And who can forget Andy Halls now with Guiseley, Level 6 and scoring an equaliser yesterday against Alty? [[^]
IP: Logged
LancsMacc Posted on 28/08/2018 09:45
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
I see Shwan Jalal has already been dropped at Chesterfield.
IP: Logged
MenorahTableofShowbread Posted on 28/08/2018 10:10
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Kingsley James, Chris Holroyd, Scott Boden, James Jennings, JAck Sampson, will all be knocking around.

Did JAck Mackreth get a game anywhere?
IP: Logged
saltpie Posted on 28/08/2018 10:30
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
I read somewhere that he had gone to Warrington
IP: Logged
Waloc Posted on 28/08/2018 10:50
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
www.transfermarkt.co.uk is the place for info
IP: Logged
HerbertSomersal Posted on 28/08/2018 12:09
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Warrington site - "David Raven, a 33-year-old veteran of more than 300 games in the English and Scottish Football Leagues, and 26-year-old winger Jack Mackreth, both signed from Wrexham, have been forced to watch the Yellows’ opening two games as they wait for international clearance."

They've also got Richard Brodie
IP: Logged
lymeview Posted on 28/08/2018 18:59
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Amari Morgan-Smith at Telford and Anthony Dudley at Chester.
IP: Logged
lythamandblues Posted on 29/08/2018 10:25
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
The Silkmen Archives site looks to keep across any moves for former players (for example Nick Blackman's season long loan at Sporting Gijon), including those who have retired from playing and have moved onto the non-playing side, e.g. Lee Glover's appointment as Opposition Analyst at Doncaster Rovers etc. - http://www.silkmenarchives.org.uk/index.html
IP: Logged
toddymacc Posted on 29/08/2018 14:53
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
There was a good article on this subject on SLE recently
IP: Logged
lythamandblues Posted on 29/08/2018 17:34
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
As toddymacc has noted there was an article on the SLE site re: moves that occurred over the summer, up to 1st August.

Since then there have been further moves, including (as noted in this thread) John McCombe having already dropped down from National North side Boston United to the NPL's Hyde United, and Andy Haworth who left Glossop NE to move to Halesowen Town, but has now returned to Glossop - these are noted below.

The article covered moves, so those players who remained with the same Club, e.g. Waide Fairhurst at Sheffield FC, Jack Sampson at Southport, Andy Teague at Chorley etc. are not noted.

Moves since 01-Aug-2018:
- Joe Anyon (only Macc appearance in goal v. Wigan Athletic in FA Cup 4th Round): made available for transfer by Chesterfield;
- Nick Blackman (Macc Youth & 2006-09): from Derby County to Sporting Gijon, on season long loan;
- Scott Burgess (2017-18, on loan from Bury): from Bury to Wrexham, on 6 month loan;
- Chris Chantler (2015-16, though don't think he made any appearances): from Spennymoor Town to Ossett United;
- Kieran Charnock (2012-13, on loan from Fleetwood Town): from Chorley to Bamber Bridge;
- Craig Lindfield (2009-10): from FC United of Manchester to Nantwich Town;
- Jack Mackreth (2012-14 & 2016-17): from Wrexham to Warrington Town;
- Aristote 'Toto' Nsiala (2010-11, on loan from Everton): from Shrewsbury Town to Ipswich Town;
- Courtney Richards (2017-18): Unattached to Nuneaton Borough;
- Elliot Rokka (Macc Youth & 2013-14): from Tranmere Rovers to Radcliffe FC (formerly Radcliffe Borough);
- Gime Toure (2017-18): Unattached to AFC Fylde;
- Luke Waterfall (2014-15, on loan from Scunthorpe United): from Lincoln City to Shrewsbury Town;
- Spencer Weir-Daley (2006-07, on loan from Nottingham Forest): from AFC Rushden & Diamonds to Barwell.

Off the pitch, recently retired Tommy Lee (2005-06 on loan from Man Utd, & 2006-08) has taken up the role of Goalkeeping Coach for Sheffield Wednesday's Academy sides.

Further to my earlier post, if anyone is looking to access the Silkmen Archives via a search engine you should access it via the 'Silkmen Archives' link then select 'Manager and Player Profiles'. If you access via the 'Silkmen Archives - Player ...' link it takes you to an out of date (c. 2014) view.

Whilst on the subject of 'Down the Pyramid', local neighbours NWCL side Congleton Town (who include ex-Macc youngster Jack Disney in their squad) have made a cracking start to the season having played 6 matches (4 League and 2 FA Cup - winning all 6, and yet to concede a goal. Having picked up a nice bit of prize money already, they host Northern League side Consett AFC (also played 6, won 6) in the 1st Qualifying round on 08-Sep, with another £6,000 up for grabs for the winners; whilst their FA Vase campaign gets underway this coming weekend when they host fellow NWCL side Bootle.
IP: Logged
lythamandblues Posted on 05/09/2018 15:04
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Few more moves:

Tyrone Barnett (Macc 2010-11) has joined Cheltenham Town, on an initial 6 month loan from Port Vale.

Matthew Barnes-Homer (2012-13 & 2014-15), who ended last season at Mickleover Sports (alongside Pablo Mills (2012-13) and Jimmy Phillips (2015-16)), has been an unused substitute for a number of AFC Telford United's games so far this season.

Former Youth team player Jack Lane has been released by Alfreton Town. Jack was in Macc's Youth team squad for the FL Youth Alliance Cup Northern Final against Stockport County at the end of the 2009-10 season - the County squad that day including Andy Halls, Danny Rowe and Danny Whitehead.

Liam Chambers, who played for the U21s last season, and who scored in his only 1st team appearance (the Cheshire Senior Cup defeat to 1874 Northwich), joined Glossop North End in Feb-2018, before moving to Gala Fairydean Rovers the following month.

Having done stints in England and Scotland he's now moved to Wales, joining Dave Norman's (1994-96) Rhyl, in the 2nd tier (Cymru Alliance) of the Welsh Pyramid.
IP: Logged
lythamandblues Posted on 07/09/2018 13:20
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Having been released by Barnet at the end of last season, Craig Ross (Macc 2016-17) has recently played 3 games for Leatherhead (Isthmian League Premier Division), though he wasn't included in the match day squad for their most recent League game, when player / manager Nikki Bull returned in goal.

Jay Burgess (Macc Youth & 2012-14) who scored Macc's goal in a 1-4 defeat at Newport County at the end of the 2012-13 season is one of a number of players who, following the demise of AFC Macclesfield, have moved to Poynton FC in the Cheshire Football League Premier Division (Step 7).
IP: Logged
Fola Posted on 07/09/2018 14:20
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Finding this a really interesting thread. [^]

Re: Craig Ross- should of never been dropped for Flinders.
IP: Logged
Dobby Posted on 08/09/2018 08:21
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
The Mention of Mathew Barnes-Homer brought back memories of the great day at he Moss in 12/13 when he scored two in our great win over Cardiff in the FACup. A player capable of what he did that day should not be languishing at Mickleover, one of many sad cases of unfulfilled potential, sadly mostly caused by attitude.
IP: Logged
MenorahTableofShowbread Posted on 08/09/2018 11:30
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Fola - that might have been really interesting if there was any evidence of a link?
IP: Logged
lythamandblues Posted on 04/12/2018 16:54
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Further moves in Sep-2018:

- RICHARD BRODIE (Macc: 2016-17, on loan): having been released by Warrington Town, he returned to Rushall Olympic.

- CURTIS HAYNES-BROWN (2015-16): Curtis didn’t play a 1st team game for Macc, having picked up a serious injury during pre-season. This season he is at Isthmian League side Coggleshall Town.

- JACK LANE (ex-Macc Youth): following his departure from Alfreton Town, he joined fellow National North side Leamington

- CRAIG LINDFIELD (2009-10): has linked up with Runcorn Town on a dual registration basis – meaning he can play in the NWCL for Runcorn, or in the NPL with his parent club Nantwich Town; so may be back on the Moss for the Cheshire Senior Cup tie in mid-Jan.

- SHAMIR MULLINGS (2017-18, on loan): Shamir, who returned to Forest Green (due to an off the field incident) before making any appearances for Macc; joined Maidstone in the summer and subsequently was loaned to Dagenham & Redbridge for the remainder of the season.

- CRAIG ROSS (2016-17): Having helped out Leatherhead for a brief spell at the start of the season, Craig has subsequently joined Woking in the National League South.

Off the pitch, BOB ASKEY (1984-87 & 1989-90) is Chairman of NWCL side Stone Old Alleynians.

ADAM MURRAY (2006-08) has been appointed Head Coach for Barnsley U18s, whilst COLIN HEATH (2006-07) is Assistant Coach at NCEL side Knaresborough Town, though it looks as though he still keeps his eye in on the pitch as he has made a number of 1st team appearances so far this season.

Unfortunately STUART BIMSON (1991-95) was part of the management team that were relieved of their duties at Staines Town.
IP: Logged
lythamandblues Posted on 04/12/2018 16:59
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Moves during Oct-2018 included:

- ANDRE DA COSTA (2012-13): joined Isthmian League side Potters Bar Town, at the end of the month, from Beaconsfield Town.

- GEORGE DONNELLY (2011-12): joined NWCL side Litherland REMYCA

- RORY ‘Johnny’ GORMAN (2012-13): joined SFL South side Frome Town in Oct-2018, having started the season at Northwich Victoria.

- SCOTT KAY (2011-14): Joined Ashton United at the end of Oct-2018, having left FC United of Manchester by mutual consent

- CLAYTON McDONALD (2008-09): in the same manner as fellow Nantwich Town player Craig Lindfield, Clayton has also signed dual registration forms with an NWCL side, in his case that being Winsford United.

- SAM MADELEY (2016-17): moved to Glossop North End, having previously been at fellow NPL side Droylsden.

- JOHN MARSDEN (2016-17): moved to Marine in Oct-2018, from fellow NPL side Stalybridge Celtic.

- MIKE PHENIX (2014-15, on loan): was released with immediate effect by Southport in late Oct-2018, the Club stating that no further comment would be made re: the matter.

- REECE STYCHE (2015-16): moved from Darlington to Alfreton Town.

- SPENCER WEIR-DALEY (2006-07): joined Southern League Central side Barwell in late Oct-2018, after a brief stay at Peterborough Sports.
IP: Logged
lythamandblues Posted on 04/12/2018 17:03
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Moves in Nov-2018:

- SCOTT BURGESS (2017-18, on loan): returned to Bury, following a 3 month loan spell at Wrexham.

- WAIDE FAIRHURST (2012-14): moved from NPL side Sheffield FC to NCEL club Handsworth Parramore, where he links up with another former Silkman in JAMES ASHMORE (2007-08)

- ARTHUR GNAHOUA (2012-15): joined AFC Fylde, on loan from Shrewsbury Town – scoring on his debut on 27-Nov-2018

- ANDY HAWORTH (2016-17): having indicated that he would join Glossop North End for the 2018-19 season, he turned up at Halesowen Town instead. Subsequently he did link up with Glossop (late Aug-2018), before moving to Bamber Bridge (end Sept-2018) and then again, this time to STEVE BURR’s Stafford Rangers, in Nov-2018, where he links up with the likes of JAMES ASKEY (Macc Youth), THEO BAILEY-JONES (2014-16), JOSH GREEN (Macc Youth & 2012-14) and IZAK REID (Macc Youth & 2006-11)

- RONAYNE MARSH-BROWN (2006-07): known as Ronayne Benjamin during his time at Macc, joined National League South side East Thurrock United from Whitehawk.

- EJIRO OKOSIEME (2016-17): recently moved from Dover Athletic to Braintree Town.

- COURTNEY RICHARDS (2017-18): moved from Nuneaton Borough to Braintree Town at the end of the month.

Off the pitch KARL MARGINSON (1994-96) was appointed Head of Football Operations at NPL side Radcliffe FC (formerly Radcliffe Borough)
IP: Logged
lythamandblues Posted on 04/12/2018 17:06
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Couple of moves in early Dec-2018:

- RICKY SAPPLETON (2009-11): has recently joined Haringey Borough, from fellow Isthmian League side Cheshunt.

Off the pitch, MARK BRADSHAW (1994-97): has been appointed as Manager of National League North side Curzon Ashton, having previously been involved with their Junior and Reserve teams.
IP: Logged
boomer22 Posted on 04/12/2018 22:07
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Wow struggle to remember some of those guys!
IP: Logged
Fola Posted on 05/12/2018 09:04
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for the update [^][^][^][^]
IP: Logged
lythamandblues Posted on 08/12/2018 01:28
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Three further moves from earlier in the season:

- TONY DIAGNE (2010-13 & 2015-16): has returned to France, and in Sep-2018 he joined AC Boulogne-Billancourt (l'ACBB), the club he started out at as a junior.

In an interview with Tony, posted on l'ACBB's website on 02-Dec-2018 he notes (via a translation tool, so not quite spot on):
"...At 22, I was captain at Macclesfield

Back to England. Thanks to an agent, he performs a test at Macclesfield in League Two (D 4) in the suburbs of Manchester. At the beginning, I earned 1,000 Euros but, in six months, I signed 3 different contracts and I triple my salary. The 2nd season, I played more than 50 games, I was captain at 22 years old. We talked a lot about myself, I had articles, reports on TV. An agent promised me a lot but in the end I did not see anything coming. This is where my career rocked. To play higher, I missed this luck factor. He then starts a road-trip by changing clubs each season with two passes to Lincoln City in the National League (D 5) in the suburbs of Manchester, Morecambe (D 4), located in Lancashire, a return to Macclesfield (descended in D 5), then finally Hemel Hempstead in National League North (D 6), a city of 94 000 inhabitants located north of London.

It was no longer pro. But thanks to my CV, I had a good salary, more than 500 Euros per week, so more than 2000 per month. But psychologically, playing in the 6th division, it was starting to get complicated. Game level, it was only physical. And I began to be used to always having to go right and left by signing only one-year contracts...".


- BRAULIO MAIECO (2015-16): Braulio, who was one of a number of players SJA signed on non contract terms to fulfil the Cheshire Senior Cup tie at Cammell Laird 1907, has joined NWCL side Stockport Town at the end of Nov-2018. He was previously at Stalybridge Celtic, where most of his appearances were in their Reserve side.

Off the pitch, as has been mentioned on other threads, RICHIE WELLENS (2016-17) was appointed manager at Swindon Town in mid Nov-2018.
IP: Logged
lythamandblues Posted on 24/12/2018 13:44
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
A couple of snippets from this month:

- RYAN CRESSWELL (Macc 2007-08, on loan from Sheff Utd): following a couple of injury ravaged seasons, he was released by Eastleigh last week.

- EMILE SINCLAIR (2009-11, initially on loan from Nottm Forest): moved from Athersley Recreation to fellow NCEL side Liversedge, on 21-Dec.
IP: Logged
HurdsfieldBlue Posted on 28/12/2018 13:18
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
I see Gime Toure has recently signed for Sutton United
IP: Logged
lythamandblues Posted on 28/12/2018 15:02
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Under the headline “AFC Fylde boss Dave Challinor questions character of Gime Toure after attacker’s ‘miraculous’ recovery and move to Sutton” the Blackpool Gazette notes:

“...Fylde manager Dave Challinor said: “Gime moved on initially with our best wishes. He and his agent were looking for things that we as a club could not give him, nor had he earned (them) as of yet.”

“The disappointment in his departure is that he had been ‘injured’ and ‘unable to train’ for the past two weeks, yet miraculously starts for Sutton United less than 48 hours later, completing most of the game, which maybe tells people more about his character ... and probably explains why he’s no longer at the club.”...
IP: Logged
lythamandblues Posted on 28/12/2018 15:11
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
In the run up to Christmas:

- CORY (BENTLEY-)KNIGHT (Macc 2015-16): who, as a member of the CST development team, made sole first team appearance in the Cheshire Senior Cup tie at Cammell Laird 1907 in Jan-2016, moved from Manchester League side Manchester Central, to NWCL side Prestwich Heys.

- RICHARD BRODIE (2016-17, on loan from York City): has moved yet again, this time from SFL side Rushall Olympic, to Ramsbottom United of the NPL.

Off the field, STEVE BURR (1984-91 & 1995-96) has today resigned as boss of NPL side Stafford Rangers.
IP: Logged
lythamandblues Posted on 07/01/2019 22:54
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Further moves:

- TYRONE BARNETT (2010-11): having spent the first half of the season at Cheltenham Town (on loan from Port Vale), Tyrone has now secured a permanent deal with the Robins.

- CRAIG LINDFIELD (2009-10): having been on dual registration with Nantwich Town (NPL) and Runcorn Town (NWCL), Craig has stepped back up to the National North with MARK BRADSHAW's (1994-97) Curzon Ashton.

- LUKE SIMPSON (2018-19): having been released by the Silkmen in Nov-18, Luke signed for SFL side Tamworth, making his debut in the 3-3 home draw with Barwell on New Year's Day.
IP: Logged
lythamandblues Posted on 06/02/2019 14:24
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Though Leagues further down the pyramid are not subject to the same Transfer Window restrictions as EFL sides, there was plenty of movement during January for former Silkmen:

- JAMES ASKEY (Macc Youth): having been released by Stafford Rangers, has joined fellow NPL side Chasetown.

- SCOTT BODEN (2011-12 & 2013-14): has switched National League sides, leaving Gateshead to return to one of his former clubs, Chesterfield.

- JOE BUNNEY (Macc Youth to 2011): apparently surplus to requirements at Northampton Town, and having spent the first half of the season on loan at Blackpool, he has now linked up with Rochdale on the same basis for the remainder of the campaign.

- SCOTT BURGESS (2017-18, on loan from Bury): has linked up with Steve Watson at York City, on a loan deal from Bury, to the end of season.

- LIAM CHAMBERS (Under 21s & 2017-18): having joined Cymru Alliance side Rhyl FC in the summer, Liam has returned to England with NWCL side Chadderton – making his debut in their 1-3 defeat at Longridge Town on 19-Jan-2019.

- COLIN DANIEL (2008-12): signed an 18 month deal with Burton Albion, after a short stay at Peterborough United.

- KRISTIAN DENNIS (2007-10 & 2015-16): has joined Grimsby Town on loan to the end of the season, from Notts County.

- GEORGE DONNELLY (2011-12): his previously noted move to NWCL side Litherland REMYCA appears to have been a loan deal, as he returned to the Skelmersdale United (NPL) side to score their last gasp equaliser in a 1-1 draw at Newcastle Town on 12-Jan-2019.

- ARTHUR GNAHOUA (2012-15): upon the completion of his loan deal at AFC Fylde, Arthur was released by Shrewsbury Town; and has signed a deal to the end of the season with Carlisle United.

- JACK HUNTER (Macc Youth & 2014-15): has linked up with another former Macc Youth player (Jack Disney) at local neighbours Congleton Town (NWCL).

- KIERAN KENNEDY (2017-18): another departure from Shrewsbury Town, Kieran has returned to the National League with Wrexham

- JOHN-PAUL KISSOCK (2012-14): released as part of a cost cutting exercise at Welling United, which won’t go down well with Steve (silent “fuh”) King, John-Paul has returned to one of his (many) previous Clubs, Isthmian League side Whitehawk.

- MALACHI LAVELLE-MOORE (2014-15): has stepped up from Ilkeston Town (Midland League) to join Nuneaton Borough’s fight against relegation from the National North.

- SAM MADELEY (2016-17): Sam is on the move again, moving from Glossop North End (NPL) to Winsford United (NWCL)

- BRAULIO “EDDIE” MAIECO (2015-16): similar to George Donnelly, it appears that his stint in the NWCL (with Stockport Town) was a loan deal, as he was one of the successful penalty takers in Stalybridge Celtic’s penalty shoot out defeat to Runcorn Linnets in the Cheshire Senior Cup (CSC) on 08-Jan-2019.

- STEFAN PAYNE (2012-13): having joined Bristol Rovers during the summer from Shrewsbury Town, Stefan has returned to the Shrews, on loan until the end of the season.

- DANNY ROWE (2013-17): as he did last season, Danny has linked up with Lincoln City, on a loan deal to the end of season.

- LUKE SIMPSON (2018-19): having made his sole appearance for Macc in the CSC win over Cheadle Heath Nomads, Luke has joined SFL side Tamworth.

At the start of the season ENES FIRMINO (2012-13) joined Swiss 5th tier club FC Forward-Morges, having been at 4th tier side FC La Sarraz Eclepens last season.

Off the pitch:

- MATTHEW BARNES-HOMER (2012-13 & 2014-15): already on the playing staff at AFC Telford United, he has also been appointed as Striker Coach

- STEVE BURR (1984-91 & 1995-96): following his recent departure from Stafford Rangers, as reported on the OS Steve has at long last "hung up his boots".

- PAUL CAVELL (1995-96): having previously worked as part of his management team at Boston United, Paul joined boss Dennis Greene’s coaching staff at Tamworth in Oct-2018, but has now departed the club following Greene’s sacking on 20-Jan-2019.

- DAVE NORMAN (1994-96): whilst still maintaining his roles at Rhyl FC; as a former Director of Football for the club, Dave has returned to Isthmian side Wingate & Finchley to take temporary charge whilst a replacement is sought for former Burnley & Reading playmaker Glen Little, who was the 3rd manager to depart so far this season.

- STEVE WATSON (2017-18 coaching staff): has taken on the challenge of halting National North team York City’s slide towards the NPL; whilst MARK YATES (2018-19) has returned to management at the same level, with Kidderminster Harriers.

Finally, some info from earlier in the season. Having joined in Jan-2018, RICHIE MITCHELL (1992-94) was, in his role of Head of Recruitment, one of the backroom staff who departed from Falkirk when boss Paul Hartley was sacked in late Aug / early Sep-2018. Richie had previously fulfilled a similar role for Ross County.
IP: Logged
WillMill Posted on 06/02/2019 16:24
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Arthur Gnahoua was injured within a few minutes of his Carlisle debut and will be out till the end of the season.[cr]
IP: Logged
Apple_Macc Posted on 06/02/2019 17:15
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for that lythamandblues. It's a really interesting update on former players and staff.
IP: Logged
The_Boss Posted on 06/02/2019 20:41
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
How the hell do you manage to find some of these moves?!! [?][?][?]
IP: Logged
lythamandblues Posted on 06/02/2019 22:15
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Too much spare time [smi], and a good starting point in the Silkmen Archives website.

Link: Silkmen Archives
IP: Logged
macc-hatter Posted on 07/02/2019 13:31
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Not transfers but still playing at York are Jon Parkin, Adriano Moke & Hamza Bencherif. [;)]
IP: Logged
crazyface Posted on 07/02/2019 13:44
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
No wonder they're in trouble. [:D]
IP: Logged
lythamandblues Posted on 06/03/2019 11:51
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Some activity re: Macc players, during Feb-2019:

- NOE BABA (2017-18): having joined Waterford (Republic of Ireland) on his departure from Macc, Noe has now linked up with German 4th tier side USI Lupo Martini, making his debut in a 0-2 defeat at St Pauli II, when the League programme resumed (after a winter break) on 24-Feb.

- RONAYNE BENJAMIN (aka MARSH-BROWN) (2006-07): has dropped down from National League South side East Thurrock United, to Isthmian League side Marlow

- RICHARD BRODIE (2016-17, loan from York City): having started the season at Warrington Town (NPL), then moved to Rushall Olympic (SFL Central) and to Ramsbottom United (NPL), he has now dropped down to the Midland League with Ilkeston Town.

- RYAN CRESSWELL (2007-08, loan from Sheffield United): having trained with York City, following his release by Eastleigh at the end of last year, Ryan has joined NPL side Mickleover Sports.

- CRAIG LINDFIELD (2009-10): has switched his NPL registration from Nantwich Town to Jon Macken’s Radcliffe (making his debut on 23-Feb); so it appears that Craig is currently registered to play for any of Curzon Ashton (National North), Radcliffe (NPL) or Runcorn Town (NWCL).

- BRAULIO 'EDDIE' MAIECO (2015-16): having returned to Stalybridge Celtic from a loan stint at NWCL side Stockport Town, Eddie has now linked up with NPL side Glossop North End, possibly on a loan deal.

- IZAK REID (Macc Youth & 2006-11): has joined Chasetown from fellow NPL side Stafford Rangers.

- JOEL SENIOR (Macc Youth & 2015-16): Joel, whose sole 1st team appearance for Macc came in the Cheshire Senior Cup tie at Cammell Laird 1907 in Jan-2016, has moved from FC United of Manchester to fellow National North side Curzon Ashton.

- LUKE SIMPSON (2018-19): has joined Wrexham, from SFL side Tamworth, to provide goalkeeping cover for the run in to the end of the season.

A couple of players who have signed extensions to their existing deals are MICHAEL BAKARE (2011-12) who has signed a 1 year extension to his deal at WPL side Connah’s Quay Nomads; whilst RYAN BOOT (2016-17, loan from Port Vale) has extended his deal at Solihull Moors, to the end of the 2019-20 season.

Off the pitch:

- JOHN ASKEY (1874-2019 [smi]): Agent SJA has taken over at Port Vale, with the sole task of ensuring that they finish the season below Macc...

- KYLE LIGHTBOURNE (2001-03): took charge of the Bermuda national side again, in July 2018.


Whilst on the subject of "Down the Pyramid", it’s good to see a couple of local non-League sides reaching the semi finals of the national Cup competitions, with Stockport County reaching the last 4 in the FA Trophy, and Northwich Victoria doing likewise in the FA Vase.
IP: Logged
crazyface Posted on 06/03/2019 13:46
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
And County topping the Northern League so we'll be back playing them next season.[rle]
IP: Logged
lowertier2 Posted on 06/03/2019 22:04
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Dan Cowan and Bully stepped in to great effect last night, what a season we're having, I still think you'll avoid playing us next season.
IP: Logged
lythamandblues Posted on 05/04/2019 11:33
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Moves in Mar-2019 (& 1 from Jan):

- RYAN CRESSWELL (2007-08, loan from Sheffield United): having recommenced his rehabilitation from injury when joining NPL side Mickleover Sports in Feb-2019, Ryan has now stepped up a level, joining National North side Boston United.

- KAI DEL-RIO (2017-18): a member of the U21s team last season, making his sole 1st team appearance in the Cheshire Senior Cup tie at 1874 Northwich, Kai has joined NWCL side Wythenshawe Amateurs – where DARREN LYONS (1989-90 & 1993-1996) is assistant manager.

- DAMANI HOLNESS (2015-16): having last been heard of playing for Cheshire League side Egerton, Damani has joined new USL Championship Eastern Conference (the level below MLS League 1) side Memphis 901 for the new season (which runs from Mar – Sep).

- IZAK REID (Macc Youth & 2006-11): after just a month at Chasetown, Izak has switched to fellow NPL side Hednesford Town - his first involvement being on the subs bench, alongside 42 year old JOSE VEIGA (2009-12), for the Pitmen’s visit to Lancaster City on 23-Mar.

- JOHN ROBERTS (2016-17): one of the players who paid to play in trial games in the 2016-17 pre-season, John joined then NPL side Ashton United on dual registration terms in Dec-2016, making the move permanent at the start of the 2017-18 season. With Ashton now in the National North, he has signed dual registration terms with Buxton (NPL).

- MATTY TEMPLETON (2015-16, on loan from Barnsley): has switched NCEL sides – from Worksop Town to Harworth Colliery.

One move that was overlooked back in January was BEN MILLS (2011-13) joining NPL side Stafford Rangers. Having ended last season at Whitchurch Alport (NWCL); due to injuries, he had been without a club this season prior to linking up with Stafford.

Not ‘Down the Pyramid’, but GARETH EVANS (2007-09) has extended his contract at Portsmouth until the summer of 2021.

Off the pitch:

Despite overseeing a number of promotions over recent seasons (including last season) NPL Premier side Basford United sacked manager MARTIN CARRUTHERS (2003-04) on 06-Mar.

And finally... MICHAEL BAKARE (2011-12) scored, as Welsh side Connah’s Quay Nomads lived up to their wandering name, when losing 1-3 to Ross County in the SCOTTISH Challenge Cup Final, played at Inverness Caledonian Thistle’s ground on 23-Mar.
IP: Logged
lythamandblues Posted on 15/05/2019 13:53
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
As we wait to hear confirmation of the Retained / Released list (or if the Club even has a future [rle]), a number of former Silkmen have been discovering whether their deals have been extended, or if they will be "moving on" this summer:

- TOMI ADELOYE (2014-15, on loan from Stoke City): has been released by Dagenham & Redbridge (National League)

- JOE ANYON (2012-13, emergency loan from Shrewsbury Town): Joe, whose sole appearance for Macc was in the FA Cup 4th Round tie with Wigan Athletic, has been released by Chesterfield (National League)

- TYRONE BARNETT (2010-11): has been released by Cheltenham Town (EFL2)

- HAMZA BENCHERIF (2009-11): has been released by York City (National North)

- RHYS BROWNE (2016-17, on loan from Grimsby Town): has been released by Yeovil Town (National League)

- RYAN CRESSWELL (2007-08, loan from Sheffield United): has been invited back for 2019-20 pre-season training at Boston United (National North).

- TOM DEAN (Macc Youth): has moved from Buxton to FC United of Manchester (NPL)

- KRISTIAN DENNIS (2007-10 & 2015-16): has returned to his parent club, Notts County (National League), at the end of his loan spell at Grimsby Town

- ANTHONY DUDLEY (2016-17, on loan from Bury): has returned to Salford City (EFL2), following his season long loan at Chester FC

- SCOTT FLINDERS (2016-17): has signed a contract extension at Cheltenham Town (EFL2), until the summer of 2021

- ARTHUR GNAHOUA (2012-15): has been released by Carlisle United (EFL2)

- CHRIS HOLROYD (2012-17): has been released by Wrexham (National League)

- FIACRE KELLEHER (2018-19, on loan from Oxford United): has been released by Oxford United (EFL1)

- ADRIANO MOKE (2014-15): has signed a 1 year extension at York City (National North)

- JON PARKIN (2003-06): has been released York City (National North)

- STEFAN PAYNE (2012-13): has returned to parent club Bristol Rovers (EFL1), at the end of his loan spell at Shrewsbury Town

- JOHN ROONEY (2007-10): has signed a new 1 year deal, with a 1 year option, at Barrow (National League)

- LUKE SIMPSON (2018-19): has been released by Wrexham (National League)

- BEN TOMLINSON (2011-12): has been released by FC Halifax Town (National League)

- PAUL TURNBULL (2013-16): has signed a new 1 year deal at Stockport County (National League)

- RHYS TURNER (2015-16, on loan from Oldham Athletic): has been invited back for pre-season training by Barrow (National League)

Off the pitch:

- Manager DAVID FLITCROFT (2003-04) and assistant manager BEN FUTCHER (2011-12) were sacked by Mansfield Town (EFL2) after failing to secure automatic promotion, and then losing to Newport County in the play-offs.

- NEIL SORVEL (1992-99): along with boss Phil Parkinson, Neil (assistant manager) has signed a new 3 year deal at Alty (National North)

- MARK YATES (2018-19): having been advised that Kidderminster Harriers would be looking for a new manager for the 2019-20 season, Mark stepped down as the Harriers’ boss ahead of the final 2 games of the season.

He has since taken over Piccolos coffee shop in Bewdley, with the local paper noting that he is “...hoping to take a quirky Bewdley coffee lounge to the “next level” as its new owner.”
IP: Logged
Fola Posted on 15/05/2019 14:12
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Another great write up.

The MARK YATES one is comical.
IP: Logged
oilboil Posted on 15/05/2019 14:19
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for that, I'd almost managed to blot that muppet YATES from my memory - easily the very worst manager we have ever had
IP: Logged
Roque_Del_Alessandro Posted on 15/05/2019 16:04
Down the Pyramid
Edited On: 15/05/2019 16:13
Report Message | Email Message To A Friend | Reply To Message 

 
My son spotted Mark Yates' new role a week ago (link attached).

I think his key skill for the new role will be his Gordon Ramsey-esque shouting ability.

https://www.kidderminstershuttle.co.uk/news/17623527.former-kidderminster-harriers-boss-mark-yates-takes-charge-of-piccolos-cafe-in-bewdley/

Link: Mark Yates maybe reaches his level of competence
IP: Logged
pauljames Posted on 15/05/2019 18:02
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
I've heard he's specialising in doughnuts, he certainly knew where to find them when he was with us!
IP: Logged
lymeview Posted on 15/05/2019 18:28
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
O'Hara, Pearson, Kellerher, Rose, Smith, MWH and Stephens?
IP: Logged
pauljames Posted on 15/05/2019 18:43
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Grimes; Mayc**ck; Viincenti; Napa and I don't think MWH was his signing.
IP: Logged
Roque_Del_Alessandro Posted on 15/05/2019 19:47
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Some of Mark Yates signings were good, some not.
Some of Sol's signings were good, some not.

But Yates managed to dismantle the team spirit/structure before the season even started. In the friendly at Altrincham, we did not look anywhere near being a team whereas Alty did.

Whitaker started to & then Sol got the team structure & spirit back. Starting with the defence in Sol's case.
IP: Logged
lythamandblues Posted on 22/05/2019 22:01
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
In addition to the publication of Macc's retain / release list (wonder when pre-season friendlies will be announced, for those that remain - a number of Clubs have already announced their full pre-season schedules), plenty of former Silkmen are on the move - plus a few from earlier last season, that have come to light:

- SHAUN BRISLEY (Macc Youth & 2007-12): has been released by Notts County (National League)

- SCOTT BROWN (Aug-2012): another member of the single appearance club (an 86th minute substitute in Macc’s 1st game back in the National League, at Hereford United), Having rejected the new contract offer made by JOHN COLEMAN’s (1987-88) Accrington Stanley (EFL1), Scott has linked up with SIMON WEAVER’s (2004-05) Harrogate Town (National League)

- DAN COWAN (Macc Youth & 2012-17): has signed a 1 year extension at Stockport County (National League)

- ANDY HALLS (2013-17): has been released by Guiseley (National North)

- MITCH HANCOX (2016-18): has been released by MK Dons (EFL1)

- ELLIOTT HEWITT (Macc Youth & 2010-12): has been released by Notts County (National League)

- KINGSLEY JAMES (2016-17): having been released by Guiseley (National North), has joined Gainsborough Trinity (NPL)

- DENNY JOHNSTONE (2014-15, on loan from Birmingham City): has been released by Greenock Morton (Scottish Championship)

- KIERAN KENNEDY (2017-18): has rejected the new contract offer made by Wrexham (National League) – wonder if he will be linking up with SJA again?

- KIERON KENNY (Macc Youth & 2012-13): another player whose sole 1st team appearance was in a Cheshire Senior Cup (CSC) tie, Kieron has extended his stay at Northwich Victoria (NWCL)

- JOHN-PAUL KISSOCK (2012-14): having joined the playing staff at Whitehawk (Isthmian Premier) in Jan-2019, he has been confirmed as Player / Assistant Manager for the upcoming season.

- BOAZ MYHILL (2003-04, on loan from Aston Villa): has been released by West Bromwich Albion (Championship)

- SAM RAMSBOTTOM (2017-18): has been released by Alfreton Town (National North)

- DANNY ROWE (2013-17): has returned to Ipswich Town (EFL1), at the end of his loan spell at Lincoln City.

- JOEL SENIOR (2015-16): Joel, another lad with a sole 1st team appearance in the CSC, has joined Burnley U23s from Curzon Ashton.

- REECE STYCHE (2015-16, initially on loan from Kidderminster Harriers): has rejected a new deal at Alfreton Town (National North)

- STEVE WILLIAMS (2013-14): Steve, who was with Lancaster City (NPL) last season, has announced his retirement from football. Having become a qualified barber many years ago, he has now launched his own barber shop – Baroque Barbers – in Preston.

Off the pitch:

In addition to SJA's new deal at Port Vale:

- STEVE BURR (1984-91 & 1995-96): has been appointed as assistant manager at Long Eaton United. The Blues play in the Midland League Premier Division (Step 5), which is the same level as the likes of Congleton Town, Northwich Victoria and Winsford United (who play in the NWCL Premier).

- MARTIN CARRUTHERS (2003-04): having been, somewhat harshly, dismissed by NPL side Basford United, Martin has been appointed first team manager at Step 5 side Quorn AFC (United Counties).

- LEE GLOVER (2000-03): has been appointed assistant manager at Mansfield Town (EFL2)

- DAVE NORMAN (1994-96): having guided Wingate & Finchley to safety in the Isthmian Premier, Dave has now been appointed as Technical Director, “overseeing all football activity”; whilst also continuing in his role as Sporting Director for Rhyl in the newly formed FAW Championship (tier 2).

Dave’s replacement as Wingate’s manager is STEVE CLARK (2003-04).

- GRAHAM POTTER (2003-05): has signed a 4 year deal with Brighton & Hove Albion (EPL)

A few more moves from last season:

- GAVIN ALLEN (1994-95): was appointed assistant manager at Welsh Premier side Aberystwyth Town in Sep-2018.

- NAVID NASSERI (2016-17): another player with just 1 appearance for the Silkmen, in the CSC, Navid left Gillingham (EFL1) at the end of Jan-2019, when it was noted that “Navid Nasseri has, along with the Football Club, agreed to terminate his contract by mutual consent due to personal reasons.”

- PETER WINN (2012-13): joined NCEL side Grimsby Borough at the start of the 2018-19 season, and made 31 appearances (4 goals) as they won the NCEL Division One title.
IP: Logged
Fola Posted on 23/05/2019 08:43
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Really enjoy this thread mate.
IP: Logged
lythamandblues Posted on 01/06/2019 00:49
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Latest updates:

- DANNY ANDREW (2013-14): has been offered a new deal at Doncaster Rovers (EFL1)

- SCOTT BURGESS (2017-18, on loan from Bury): despite attempts by Steve Watson to get him to sign a permanent deal at York City, Scott has signed a 1 year deal at Port Vale (EFL2)

- MITCH HANCOX (2016-18): has signed a 2 year deal with Solihull Moors (National League)

- JAMES JENNINGS (Macc Youth & 2006-09): has signed a 1 year extension at Wrexham (National League)

- SAM MADELEY (2016-17): has signed up for another season at Winsford United (NWCL)

- GREG MILLS (Feb-2010, on loan from Derby County): another player with just the 1 appearance for the Silkmen (as a 76th min substitute at Bury), Greg has been retained by Stourbridge (SFL Central)

- REECE STYCHE (2015-16, initially on loan from Kidderminster Harriers): having rejected a new deal at Alfreton Town, Reece has joined fellow National North side Hereford

Off the pitch:

- SIMON DAVIES (1998-2000): has joined Vincent Kompany’s management team at Anderlecht (Belgium)

- JOHN McCOMBE (2015-16): as noted at the start of this thread, John joined the playing staff at NPL side Hyde United in Aug-2018. He has now been appointed Player / Assistant Manager for the upcoming season

- ANDY WELSH (2002-03, on loan from Stockport County): has signed a 1 year extension to his deal as manager at Ossett United (NPL)
IP: Logged
MenorahTableofShowbread Posted on 01/06/2019 00:57
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Interesting move by Mitch Hancox.
IP: Logged
PLS_2 Posted on 01/06/2019 18:32
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Never mind all of this, where is Denny Johnstone?
IP: Logged
lythamandblues Posted on 02/06/2019 00:07
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Following his release by Greenock Morton (what were they thinking!!), I understand that Denny and his agent, Ron_Ipstone, are in negotiations with the Macc hierarchy regarding a triumphal return to the Moss Rose; though I think they're trying to keep negotiations 'on the down low' whilst Ole Gunnar Solskjaer flounders around for solutions at Old Trafford.

A 'marquee signing' like Denny could be just what the United faithful need to distract them from their current travails - what with their neighbours having completed the domestic Treble, and their greatest rivals having won the European Cup, again... [smi]
IP: Logged
macchiavelli Posted on 02/06/2019 09:43
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Let's see then, what does the OS have to offer to rabid Silkmen fans who desperately want to know what we can expect for next season?

Erm. Silkmen holiday snaps, Fan cam for November, and Silkmen A-Z Steve Farrelly.

Really helpful, I'm sure you will agree!


IP: Logged
PLS_2 Posted on 02/06/2019 12:33
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Failing that, Denny could rejoin his home town club, the Doonhamers, recent survivors of the horror of relegation playoffs.

If so I hope to bring you pitch side reports next season as my mum has a caravan nearby.
IP: Logged
fossey Posted on 06/06/2019 17:28
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
Sam Ramsbottom signed for Grennock Morton
IP: Logged
Fola Posted on 07/06/2019 09:13
Down the Pyramid

Report Message | Email Message To A Friend | Reply To Message 

 
James Bolton has moved to Portsmouth. Crazy we let him go to Halifax on a free! A product of our youth system under JA.
IP: Logged
lythamandblues Posted on 07/06/2019 17:22
Down the Pyramid
Edited On: 07/06/2019 23:32
Report Message | Email Message To A Friend | Reply To Message 

 
Few more snippets:

- JAMES BOLTON (Macc Youth & 2012-14): as Fola has noted, James is joining Portsmouth (EFL1), on a 3 year deal - where he will link up with GARETH EVANS (2007-09)

- ANTHONY DUDLEY (2016-17, on loan from Bury): has been released by Salford City (EFL2)

- KIERAN KENNEDY (2017-18): has linked up with SJA again, at Port Vale (EFL2)

- JACK LANE (Macc Youth): has signed up for another season at Leamington (National North)

- JACK MACKRETH (2012-14 & 2016-17): has committed to another season at Warrington Town (NPL Premier)

- MARCUS MARSHALL (2011-12): has extended his stay at Matlock Town (NPL Premier)

- SAM RAMSBOTTOM (2017-18): as fossey pointed out Sam has signed for Greenock Morton (Scottish Championship), signing a 1 year deal

- BEN TOMLINSON (2011-12): having been released by FC Halifax Town, Ben has joined Alfreton Town (National North)


Off the pitch:

STEVE KING (2012-13) has left Welling United (National South), a year in to a 2 year deal.

Having been U18s coach at Watford, CARL MARTIN (2012-14) took up a similar role at Southampton in Jan-2019.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103